<div *ngIf="showData">
    <div class="add-delete-buttons">
        <button nz-button nzType="primary" class="btncls font-size-10x button-pad" (click)="udpateResource()" >Update Resource</button>
      </div>
        <div class="pad-2p">
          <table class="table table-striped table-bordered">
            <thead>
            <tr>
              <th class="titleTH">Title</th>
              <th >Description</th>
              <th>URL</th>
            </tr>
            </thead>
            <tbody>
              <tr>
                <td>SDC</td>
                <td>
                  1. Go to ./src/asset folder in the project.<br>
                  2. Edit the switchrole-1.jsp file.<br>
                  3. Change the testframe.html file path.
                </td>
                <td><% response.setHeader("X-Frame-Options","ALLOW-FROM http://159.138.53.90:30997/");%></td>
              </tr>
              <tr>
                <td>VID</td>
                <td>
                  1. Go to ./src/asset folder in the project.<br>
                  2. Edit the switchrole-1.jsp file.<br>
                  3. Change the testframe.html file path.
                </td>
                <td><% response.setHeader("X-Frame-Options","ALLOW-FROM http://159.138.53.90:30997/");%></td>
              </tr>
              <tr *ngFor="let model of resourceData">
                <td>{{ model.Title }}</td>
                <td>{{ model.Desc }}</td>
                <td>{{ model.url }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      
</div>
<div *ngIf="!showData">
  <div class="layout">
    <form nz-form  #resource = "ngForm" autocomplete="off">
        <nz-form-item>
            <nz-form-label [nzSpan]="7" nzRequired class="fontcls"><i class="anticon anticon-user"></i>Enter Model</nz-form-label>
              <!-- <input nz-input name="Title" placeholder="Enter Resource" id = "Title"  [(ngModel)]="data.Title" placeholder="Title" ngModel> -->
              <select class="form-control"  name="selectModel" (ngModelChange)="getModel($event)" placeholder="SelectModel" [(ngModel)] = "showModel">
                <option class="form-control" *ngFor = "let list of Models">{{list}}</option>
              </select>
          </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="7" nzRequired class="fontcls"><i class="anticon anticon-user"></i>Enter Component</nz-form-label>
            <!-- <input nz-input name="Title" placeholder="Enter Resource" id = "Title"  [(ngModel)]="data.Title" placeholder="Title" ngModel> -->
            <select class="form-control"  name="selectRes" (ngModelChange)="getResource($event)" placeholder="SelectResource" [(ngModel)] = "title">
              <option class="form-control" *ngFor = "let list of isResource">{{list}}</option>
            </select>
        </nz-form-item>
    
        <nz-form-item>
            <nz-form-label [nzSpan]="7" nzRequired class="fontcls"><i class="anticon anticon-user"></i>Description</nz-form-label>
                <textarea rows="4" cols="72" [attr.disabled]="title == 'All' ? true : null"    nz-input placeholder="Description About Model" name ="description" [(ngModel)] = "desc" placeholder="Description" ngModel></textarea>     
        </nz-form-item>
    
        <nz-form-item>
                <nz-form-label [nzSpan]="7" nzRequired class="fontcls"><i class="anticon anticon-user"></i>IP Address</nz-form-label>
                <input nz-input  name="url"  id = "url"  [(ngModel)]="url" placeholder="IP Address (example xyz.xyz.xyz.xyz)" ngModel >
        </nz-form-item>
        
        <nz-form-item>
            <button nz-button nzType="primary"class="submitResetbutton" (click)="updateUrl($event)" >Submit</button>
            <button nz-button nzType="primary"class="submitResetbutton" (click)="udpateResource($event)" >Show Resource</button>
        </nz-form-item>
      </form>
    </div>
</div>
  
    